Bug 156701 - [67cat] Non-working SFTP deployment due to a script error
[67cat] Non-working SFTP deployment due to a script error
Status: RESOLVED FIXED
Product: javame
Classification: Unclassified
Component: -- Other --
6.x
All All
: P3 (vote)
: TBD
Assigned To: issues@mobility
issues@mobility
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-13 17:38 UTC by hotxrock
Modified: 2009-05-04 16:21 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments
Fixes incorrect arguments in the script (876 bytes, patch)
2009-01-13 17:45 UTC, hotxrock
Details | Diff
Patch fixing the issue (876 bytes, patch)
2009-05-04 15:16 UTC, hotxrock
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description hotxrock 2009-01-13 17:38:59 UTC
Bug: SFTP deployment doesn't upload anything to the server, NetBeans connects properly, but files are not transferred.

Cause: fileset tag in the deploy-scp-impl.xml script contains invalid parameter dir = "${basedir}" instead of dir = 
"${deployment.dir}"

I've fixed this in the patch, maybe we can include this issue into 6.5 patch 2. Sorry that I've come up with this so 
late, but I've just rememebered about this bug.
Comment 1 hotxrock 2009-01-13 17:45:47 UTC
Created attachment 75777 [details]
Fixes incorrect arguments in the script
Comment 2 pgebauer 2009-01-14 09:37:49 UTC
The issue hasn't passed the nomination process for 65patch2 by cut-off date. It has been moved to 65patch3.
Comment 3 pgebauer 2009-04-08 14:13:04 UTC
The status whiteboard "65fixes4-candidate" has been removed.
At this time our proactive patches for the NetBeans 6.5.x IDE have concluded.

If you own a Sun service plan contract for NetBeans, you may wish to contact
Sun Service http://www.sun.com/contact/support.jsp to request a fix via the
product defect escalation process.

For more information on purchasing a Sun service plan contract for NetBeans,
refer to the service plan item "Sun Software Service Plans (S3P) for Developers"
in the Sun Service table found on our NetBeans Support Resources
page http://www.netbeans.org/kb/support.html
Comment 4 hotxrock 2009-05-04 15:15:41 UTC
I've downloaded NetBeans 6.7 beta and I see that this bug is still there, so I upload a patch fixing this issue again. 
It's not good that SFTP deployment doesn't work at all because of invalid data in a single line.
Comment 5 hotxrock 2009-05-04 15:16:22 UTC
Created attachment 81471 [details]
Patch fixing the issue
Comment 6 Petr Suchomel 2009-05-04 16:21:00 UTC
Fixed in CS 44e7be65bd20


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo